classification
Title: upgrade pyexpat to expat 2.0.0
Type: Stage:
Components: Extension Modules Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tmick Nosy List: georg.brandl, tmick
Priority: normal Keywords: patch

Created on 2006-03-31 18:47 by tmick, last changed 2006-06-19 23:25 by tmick. This issue is now closed.

Files
File name Uploaded Description Edit
python-expat2-upgrade.patch tmick, 2006-03-31 18:47 patch to upgrade to expat 2.0.0
Messages (3)
msg49905 - (view) Author: Trent Mick (tmick) Date: 2006-03-31 18:47
Update Modules/expat to expat 2.0.0. The only effective
change in the introduction of the XML_Size typedef for
the XML_GetCurrent{Column|Line}Number() functions which
effectively changed the type from 'int' to 'long'.
msg49906 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-04-30 08:34
Logged In: YES 
user_id=849994

Can this go into 2.5?
msg49907 - (view) Author: Trent Mick (tmick) Date: 2006-06-19 23:25
Logged In: YES 
user_id=34892

Sending        Include/pyexpat.h
Sending        Modules/_elementtree.c
Deleting       Modules/expat/Makefile.in
Adding         Modules/expat/amigaconfig.h
Sending        Modules/expat/expat.h
Sending        Modules/expat/expat_external.h
Sending        Modules/expat/xmlparse.c
Sending        Modules/expat/xmlrole.c
Sending        Modules/expat/xmltok.c
Sending        Modules/expat/xmltok.h
Sending        Modules/expat/xmltok_impl.c
Sending        Modules/expat/xmltok_ns.c
Transmitting file data ...........
Committed revision 47033.
History
Date User Action Args
2006-03-31 18:47:26tmickcreate